update address for an Organization

put

/ccadmin/v1/organizations/{id}/secondaryAddresses/{addressId}

Update Organization Address. This endpoint is used to update secondary address of an Organization in Oracle Retail Digital Commerce.

Request

Supported Media Types
Path Parameters
Header Parameters
Body ()
Root Schema : updateOrganizationAddress_request
Type: object
Show Source
Example:
{
    "address":{
        "isDefaultBillingAddress":false,
        "country":"US",
        "types":[
            {
                "id":"ss-10002"
            }
        ],
        "address3":"Street 3",
        "address2":"Street 2",
        "city":"Montgomery",
        "address1":"600 Dexter Avenue",
        "postalCode":"36130",
        "companyName":"Oracle New",
        "externalAddressId":"EXT_ADDR_1",
        "phoneNumber":"973-974-1234",
        "isDefaultShippingAddress":false,
        "state":"AL"
    },
    "addressType":"Office Address New"
}
Nested Schema : address
Type: object
Updated address for the Organization.
Show Source
Nested Schema : types
Type: array
The types tagged to the address
Show Source
Nested Schema : items
Type: object
Show Source
Back to Top

Response

Supported Media Types

200 Response

Following model is returned when operation succeeds.
Body ()
Root Schema : updateOrganizationAddress_response
Type: object
Show Source
Nested Schema : address
Type: object
Address created for the Organization.
Show Source
Nested Schema : types
Type: array
The types tagged to the address
Show Source
Nested Schema : items
Type: object
Show Source
Example Response (application/json)
{
    "address":{
        "country":"US",
        "externalAddressId":"EXT_ADDR_1",
        "types":[
            {
                "displayName":"Billing",
                "repositoryId":"ss-10002",
                "id":"ss-10002"
            }
        ],
        "phoneNumber":"973-974-1234",
        "address3":"Street 3",
        "address2":"Street 2",
        "city":"Montgomery",
        "address1":"600 Dexter Avenue",
        "companyName":"National Discount Auto Parts",
        "postalCode":"36130",
        "repositoryId":"280004",
        "state":"AL"
    },
    "addressType":"Montgomery Office Address",
    "links":[
        {
            "rel":"self",
            "href":"/ccadminui/v1/organizations/or-100001/secondaryAddresses/280004"
        }
    ]
}

Default Response

The error response. The following are the internal error codes thrown by this API when the request processing fails in Oracle Retail Digital Commerce: |Error Code|Description| |------------------|------------------| |100183|If input or nickname given is null/empty| |100030|Postal Code is required| |100031|Country is required| |100032|No State Region is found| |23015|Phone Number is required| |23005|Phone Number is invalid| |80018|If an invalid country is provided| |100067|If an invalid state is provided| |100189|Duplicate Addresses Type are giving in input| |100026|Company Name is required| |100027|Address 1 is required| |100028|City is required| |100029|State is required| |100000|If input passed is invalid| |100001|If there was no organization found with the given id| |100192|If user doesn't have enough rights to modify a field| |180106|One or more address type ID is invalid| |100204|Missing ID for address type| |21021|Invalid {0} specified| |100100|{0} is not specified| |23004|Invalid postal code| |20132|Invalid default value| |
Body ()
Root Schema : errorModel
Type: object
Show Source
Nested Schema : errors
Type: array
An optional list of errors if multiple errors were encountered
Show Source
Nested Schema : items
Type: object
Show Source
Back to Top